Credits
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cast": [
{
"adult": false,
"character": "Stan Smith / Roger (voice)",
"credit_id": "5256e83b19c2956ff60ed46d",
"gender": 2,
"id": 52139,
"known_for_department": "Acting",
"name": "Seth MacFarlane",
"order": 0,
"original_name": "Seth MacFarlane",
"popularity": 23.499,
"profile_path": "/8oQJqM51Z0Qtdb7sE6ZfX1peNCB.jpg"
},
{
"adult": false,
"character": "Francine Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed3bb",
"gender": 1,
"id": 37600,
"known_for_department": "Acting",
"name": "Wendy Schaal",
"order": 1,
"original_name": "Wendy Schaal",
"popularity": 14.136,
"profile_path": "/qq9Jc77KD24FxxJrR7O2F3E6c8A.jpg"
},
{
"adult": false,
"character": "Hayley Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed371",
"gender": 1,
"id": 81668,
"known_for_department": "Acting",
"name": "Rachael MacFarlane",
"order": 2,
"original_name": "Rachael MacFarlane",
"popularity": 6.058,
"profile_path": "/AnLEvMh9pl94uJOO2MnZFQB44b4.jpg"
},
{
"adult": false,
"character": "Steve Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed409",
"gender": 2,
"id": 35091,
"known_for_department": "Acting",
"name": "Scott Grimes",
"order": 3,
"original_name": "Scott Grimes",
"popularity": 16.771,
"profile_path": "/oB0xperEt45g8Ti6lpObpi6c5XV.jpg"
},
{
"adult": false,
"character": "Klaus (voice)",
"credit_id": "527ae96619c29529e5088231",
"gender": 2,
"id": 23680,
"known_for_department": "Acting",
"name": "Dee Bradley Baker",
"order": 4,
"original_name": "Dee Bradley Baker",
"popularity": 16.274,
"profile_path": "/9oFnToDZWp0I484s7Ua1EzNQQ2m.jpg"
}
],
"crew": [
{
"adult": false,
"credit_id": "5542d0f9c3a3680cdf0007c1",
"department": "Production",
"gender": 0,
"id": 1461337,
"job": "Production Manager",
"known_for_department": "Production",
"name": "Tanya Calderon",
"original_name": "Tanya Calderon",
"popularity": 0.531,
"profile_path": null
},
{
"adult": false,
"credit_id": "554afc6dc3a3685e58001165",
"department": "Visual Effects",
"gender": 0,
"id": 1463906,
"job": "Animation Manager",
"known_for_department": "Visual Effects",
"name": "Penelope Sevier",
"original_name": "Penelope Sevier",
"popularity": 0.569,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84619c2956ff60eddfb",
"department": "Production",
"gender": 1,
"id": 1224454,
"job": "Producer",
"known_for_department": "Writing",
"name": "Nahnatchka Khan",
"original_name": "Nahnatchka Khan",
"popularity": 5.42,
"profile_path": "/lIr3fOt0OZgDlVBvyvIdWhzz2.jpg"
},
{
"adult": false,
"credit_id": "5256e84119c2956ff60edc97",
"department": "Production",
"gender": 2,
"id": 1224453,
"job": "Executive Producer",
"known_for_department": "Writing",
"name": "David Zuckerman",
"original_name": "David Zuckerman",
"popularity": 0.861,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84019c2956ff60edaa3",
"department": "Production",
"gender": 2,
"id": 1224471,
"job": "Producer",
"known_for_department": "Writing",
"name": "Judah Miller",
"original_name": "Judah Miller",
"popularity": 1.19,
"profile_path": "/vN7RC1xkyHKD9XtiPtGVyKDztTp.jpg"
},
{
"adult": false,
"credit_id": "5256e84419c2956ff60eddb3",
"department": "Production",
"gender": 2,
"id": 1224456,
"job": "Producer",
"known_for_department": "Writing",
"name": "Brian Boyle",
"original_name": "Brian Boyle",
"popularity": 0.139,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84419c2956ff60edd6d",
"department": "Production",
"gender": 2,
"id": 1224476,
"job": "Producer",
"known_for_department": "Writing",
"name": "Jonathan Fener",
"original_name": "Jonathan Fener",
"popularity": 0.405,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84319c2956ff60edd25",
"department": "Production",
"gender": 2,
"id": 1213081,
"job": "Producer",
"known_for_department": "Writing",
"name": "Dan Vebber",
"original_name": "Dan Vebber",
"popularity": 2.122,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84119c2956ff60edc4f",
"department": "Production",
"gender": 2,
"id": 1224474,
"job": "Executive Producer",
"known_for_department": "Writing",
"name": "Kenny Schwartz",
"original_name": "Kenny Schwartz",
"popularity": 0.665,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84119c2956ff60edc07",
"department": "Production",
"gender": 2,
"id": 1224473,
"job": "Executive Producer",
"known_for_department": "Writing",
"name": "Rick Wiener",
"original_name": "Rick Wiener",
"popularity": 0.759,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84019c2956ff60eda17",
"department": "Production",
"gender": 2,
"id": 1216656,
"job": "Producer",
"known_for_department": "Production",
"name": "Richard Appel",
"original_name": "Richard Appel",
"popularity": 0.961,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84019c2956ff60ed9d1",
"department": "Production",
"gender": 2,
"id": 1224449,
"job": "Executive Producer",
"known_for_department": "Writing",
"name": "Mike Barker",
"original_name": "Mike Barker",
"popularity": 2.515,
"profile_path": "/eUpPQD9qX3XdZpl5ItWiDvnWrWA.jpg"
},
{
"adult": false,
"credit_id": "5256e84019c2956ff60eda5d",
"department": "Production",
"gender": 0,
"id": 1224460,
"job": "Producer",
"known_for_department": "Writing",
"name": "Jim Bernstein",
"original_name": "Jim Bernstein",
"popularity": 2.917,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84119c2956ff60edbbf",
"department": "Production",
"gender": 1,
"id": 1213977,
"job": "Producer",
"known_for_department": "Production",
"name": "Kara Vallow",
"original_name": "Kara Vallow",
"popularity": 1.078,
"profile_path": "/yZZpnvTNgcXx69xQe8G69NL4MgR.jpg"
},
{
"adult": false,
"credit_id": "5256e84319c2956ff60edcdf",
"department": "Production",
"gender": 2,
"id": 1224459,
"job": "Producer",
"known_for_department": "Writing",
"name": "Michael Shipley",
"original_name": "Michael Shipley",
"popularity": 0.573,
"profile_path": "/2pBzJFbN6wfUuYeZCCTad5Paytv.jpg"
},
{
"adult": false,
"credit_id": "5256e84019c2956ff60edae9",
"department": "Production",
"gender": 2,
"id": 1224468,
"job": "Producer",
"known_for_department": "Production",
"name": "David Hemingson",
"original_name": "David Hemingson",
"popularity": 2.513,
"profile_path": "/xYEPUUqwlOAJDAaZOyQat0rXfYZ.jpg"
},
{
"adult": false,
"credit_id": "5256e84019c2956ff60ed989",
"department": "Production",
"gender": 2,
"id": 52139,
"job": "Executive Producer",
"known_for_department": "Acting",
"name": "Seth MacFarlane",
"original_name": "Seth MacFarlane",
"popularity": 23.499,
"profile_path": "/8oQJqM51Z0Qtdb7sE6ZfX1peNCB.jpg"
},
{
"adult": false,
"credit_id": "5256e84019c2956ff60edb77",
"department": "Production",
"gender": 2,
"id": 1224452,
"job": "Executive Producer",
"known_for_department": "Writing",
"name": "Matt Weitzman",
"original_name": "Matt Weitzman",
"popularity": 2.698,
"profile_path": null
}
],
"id": 3820
}Credits
This endpoint get the credits for a specific season of a TV series.
GET
/
3
/
tv
/
{series_id}
/
season
/
{season_number}
/
credits
Credits
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
a uniques identifier for a tv serie
Example:
2
Query Parameters
Response
200 - application/json
Credits
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"character": "Stan Smith / Roger (voice)",
"credit_id": "5256e83b19c2956ff60ed46d",
"gender": 2,
"id": 52139,
"known_for_department": "Acting",
"name": "Seth MacFarlane",
"order": 0,
"original_name": "Seth MacFarlane",
"popularity": 23.499,
"profile_path": "/8oQJqM51Z0Qtdb7sE6ZfX1peNCB.jpg"
},
{
"adult": false,
"character": "Francine Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed3bb",
"gender": 1,
"id": 37600,
"known_for_department": "Acting",
"name": "Wendy Schaal",
"order": 1,
"original_name": "Wendy Schaal",
"popularity": 14.136,
"profile_path": "/qq9Jc77KD24FxxJrR7O2F3E6c8A.jpg"
},
{
"adult": false,
"character": "Hayley Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed371",
"gender": 1,
"id": 81668,
"known_for_department": "Acting",
"name": "Rachael MacFarlane",
"order": 2,
"original_name": "Rachael MacFarlane",
"popularity": 6.058,
"profile_path": "/AnLEvMh9pl94uJOO2MnZFQB44b4.jpg"
},
{
"adult": false,
"character": "Steve Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed409",
"gender": 2,
"id": 35091,
"known_for_department": "Acting",
"name": "Scott Grimes",
"order": 3,
"original_name": "Scott Grimes",
"popularity": 16.771,
"profile_path": "/oB0xperEt45g8Ti6lpObpi6c5XV.jpg"
},
{
"adult": false,
"character": "Klaus (voice)",
"credit_id": "527ae96619c29529e5088231",
"gender": 2,
"id": 23680,
"known_for_department": "Acting",
"name": "Dee Bradley Baker",
"order": 4,
"original_name": "Dee Bradley Baker",
"popularity": 16.274,
"profile_path": "/9oFnToDZWp0I484s7Ua1EzNQQ2m.jpg"
}
]
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"credit_id": "5542d0f9c3a3680cdf0007c1",
"department": "Production",
"gender": 0,
"id": 1461337,
"job": "Production Manager",
"known_for_department": "Production",
"name": "Tanya Calderon",
"original_name": "Tanya Calderon",
"popularity": 0.531,
"profile_path": null
},
{
"adult": false,
"credit_id": "554afc6dc3a3685e58001165",
"department": "Visual Effects",
"gender": 0,
"id": 1463906,
"job": "Animation Manager",
"known_for_department": "Visual Effects",
"name": "Penelope Sevier",
"original_name": "Penelope Sevier",
"popularity": 0.569,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84619c2956ff60eddfb",
"department": "Production",
"gender": 1,
"id": 1224454,
"job": "Producer",
"known_for_department": "Writing",
"name": "Nahnatchka Khan",
"original_name": "Nahnatchka Khan",
"popularity": 5.42,
"profile_path": "/lIr3fOt0OZgDlVBvyvIdWhzz2.jpg"
},
{
"adult": false,
"credit_id": "5256e84119c2956ff60edc97",
"department": "Production",
"gender": 2,
"id": 1224453,
"job": "Executive Producer",
"known_for_department": "Writing",
"name": "David Zuckerman",
"original_name": "David Zuckerman",
"popularity": 0.861,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84019c2956ff60edaa3",
"department": "Production",
"gender": 2,
"id": 1224471,
"job": "Producer",
"known_for_department": "Writing",
"name": "Judah Miller",
"original_name": "Judah Miller",
"popularity": 1.19,
"profile_path": "/vN7RC1xkyHKD9XtiPtGVyKDztTp.jpg"
},
{
"adult": false,
"credit_id": "5256e84419c2956ff60eddb3",
"department": "Production",
"gender": 2,
"id": 1224456,
"job": "Producer",
"known_for_department": "Writing",
"name": "Brian Boyle",
"original_name": "Brian Boyle",
"popularity": 0.139,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84419c2956ff60edd6d",
"department": "Production",
"gender": 2,
"id": 1224476,
"job": "Producer",
"known_for_department": "Writing",
"name": "Jonathan Fener",
"original_name": "Jonathan Fener",
"popularity": 0.405,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84319c2956ff60edd25",
"department": "Production",
"gender": 2,
"id": 1213081,
"job": "Producer",
"known_for_department": "Writing",
"name": "Dan Vebber",
"original_name": "Dan Vebber",
"popularity": 2.122,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84119c2956ff60edc4f",
"department": "Production",
"gender": 2,
"id": 1224474,
"job": "Executive Producer",
"known_for_department": "Writing",
"name": "Kenny Schwartz",
"original_name": "Kenny Schwartz",
"popularity": 0.665,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84119c2956ff60edc07",
"department": "Production",
"gender": 2,
"id": 1224473,
"job": "Executive Producer",
"known_for_department": "Writing",
"name": "Rick Wiener",
"original_name": "Rick Wiener",
"popularity": 0.759,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84019c2956ff60eda17",
"department": "Production",
"gender": 2,
"id": 1216656,
"job": "Producer",
"known_for_department": "Production",
"name": "Richard Appel",
"original_name": "Richard Appel",
"popularity": 0.961,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84019c2956ff60ed9d1",
"department": "Production",
"gender": 2,
"id": 1224449,
"job": "Executive Producer",
"known_for_department": "Writing",
"name": "Mike Barker",
"original_name": "Mike Barker",
"popularity": 2.515,
"profile_path": "/eUpPQD9qX3XdZpl5ItWiDvnWrWA.jpg"
},
{
"adult": false,
"credit_id": "5256e84019c2956ff60eda5d",
"department": "Production",
"gender": 0,
"id": 1224460,
"job": "Producer",
"known_for_department": "Writing",
"name": "Jim Bernstein",
"original_name": "Jim Bernstein",
"popularity": 2.917,
"profile_path": null
},
{
"adult": false,
"credit_id": "5256e84119c2956ff60edbbf",
"department": "Production",
"gender": 1,
"id": 1213977,
"job": "Producer",
"known_for_department": "Production",
"name": "Kara Vallow",
"original_name": "Kara Vallow",
"popularity": 1.078,
"profile_path": "/yZZpnvTNgcXx69xQe8G69NL4MgR.jpg"
},
{
"adult": false,
"credit_id": "5256e84319c2956ff60edcdf",
"department": "Production",
"gender": 2,
"id": 1224459,
"job": "Producer",
"known_for_department": "Writing",
"name": "Michael Shipley",
"original_name": "Michael Shipley",
"popularity": 0.573,
"profile_path": "/2pBzJFbN6wfUuYeZCCTad5Paytv.jpg"
},
{
"adult": false,
"credit_id": "5256e84019c2956ff60edae9",
"department": "Production",
"gender": 2,
"id": 1224468,
"job": "Producer",
"known_for_department": "Production",
"name": "David Hemingson",
"original_name": "David Hemingson",
"popularity": 2.513,
"profile_path": "/xYEPUUqwlOAJDAaZOyQat0rXfYZ.jpg"
},
{
"adult": false,
"credit_id": "5256e84019c2956ff60ed989",
"department": "Production",
"gender": 2,
"id": 52139,
"job": "Executive Producer",
"known_for_department": "Acting",
"name": "Seth MacFarlane",
"original_name": "Seth MacFarlane",
"popularity": 23.499,
"profile_path": "/8oQJqM51Z0Qtdb7sE6ZfX1peNCB.jpg"
},
{
"adult": false,
"credit_id": "5256e84019c2956ff60edb77",
"department": "Production",
"gender": 2,
"id": 1224452,
"job": "Executive Producer",
"known_for_department": "Writing",
"name": "Matt Weitzman",
"original_name": "Matt Weitzman",
"popularity": 2.698,
"profile_path": null
}
]
Example:
3820
⌘I